Salix Xfce 15.0beta1

User avatar
Papasot
Donor
Posts: 157
Joined: 3. May 2015, 18:37
Location: Patras, Greece

Re: Salix Xfce 15.0beta1

Post by Papasot » 2. Jul 2022, 22:13

tonb wrote:
27. Jun 2022, 20:45
neovim is used for vi and view. neovim is not in Slackware and that makes me suspicious. Slackware 15 has nvi as a no-nonsense implementation of vi. I installed that and changed the links for vi and view in /usr/bin.
I have to admit I don't really like seeing a mature and respected project such as Vim being forked with its fork getting momentum, but let's not forget the fork didn't happen yesterday - Neovim is more than 6 years old already. The main reasons it is getting momentum are its built-in Language Server Protocol support, and Lua integration instead of Vim's scripting. Both are undeniable upgrades. There are other reasons too, which I consider minor. There might be other, less technical reasons as well, but people just speculate about those and I wouldn't bother.

I understand some people are used to Vim for decades, so they dislike the replacement of Vim with Neovim. I use Emacs myself, and I wouldn't like it if it was replaced with, say, DoomEmacs, so I can perfectly understand your concerns. What I would do if this happened would be testing the replacement first; if I didn't like it, I would install the original Emacs right away and forget about its replacement. I recommend you do the same with Vim; you still have the option to never use Neovim, if you so wish.
I wouldn't be worried about the future of Vim either. I migrated from Vim to Emacs years ago, and over the years I have seen many Emacs forks promising this and that - guess what, the Emacs community is still there.

Last but not least, we are not talking about a huge change. It is not like systemd, which is blatantly not what it was supposed to be. Neovim is still Vim, even though the two projects increasingly deviate from each other.
A pleasant detail in this forum: several people pick a picture of their pet as their avatar. Who am I to do otherwise? ;-)

User avatar
Papasot
Donor
Posts: 157
Joined: 3. May 2015, 18:37
Location: Patras, Greece

Re: Salix Xfce 15.0beta1

Post by Papasot » 15. Jul 2022, 07:35

Package vice from SBo is outdated (it is version 3.5 which had several bugs, especially in the GTK3 version);. Not only that, but the package only provides the GTK3 version, while the SDL2 version is more lightweight and has the same functionality. Latest version of vice is 3.6.1 as of January 24, 2022. Updated Salix 15 packages both for the GTK3 version (vice), and the SDL2 version (vice-sdl2) can be found here. Those packages are mutually exclusive, you have to install either vice or vice-sdl2, not both. I think it would be nice if those two replace the existing package in the repos.
A pleasant detail in this forum: several people pick a picture of their pet as their avatar. Who am I to do otherwise? ;-)

User avatar
gaucho
Donor
Posts: 105
Joined: 23. Dec 2010, 19:12

Re: Salix Xfce 15.0beta1

Post by gaucho » 18. Jul 2022, 17:52

(This report is based on my 15.0beta1 installation: 64-bit, BIOS, English [US] locale).

While updating my system today, I encountered an oddity with slapt-get's behavior in the Terminal. When I issue the command "slapt-get --update && slapt-get --dist-upgrade", slapt-get keeps trying to replace itself / overwrite itself with the same package [0.11.6-x86_64-2gv] (as seen in the Terminal output below):

Code: Select all

Reading Package Lists...Done
The following packages will be reinstalled:
  slapt-get 
0 upgraded, 1 reinstalled, 0 newly installed, 0 to remove, 0 not upgraded.
Need to get 0.0kB/154.0kB of archives.
After unpacking 105.0kB disk space will be freed.
Do you want to continue? [y/N] y

Preparing to replace slapt-get-0.11.6-x86_64-2gv with slapt-get-0.11.6-x86_64-2gv
Reinstalling package slapt-get-0.11.6-x86_64-2gv...

[... snip ...]
 
Done 
Even if I let the package reinstall itself, the behavior persists when I try to update again. I have also shut down and rebooted the PC a couple of times, but this doesn't make any difference.

The other strange thing is that if I run Gslapt, refresh it and ask it to display upgradeable packages (View > Upgradeable), nothing shows. That slapt-get package is installed but it does not show as upgradeable.

So the glitch is only happening within the Terminal ...

Am I doing something wrong? Or is just a brain-fog Monday? :?
Registered Linux User # 442201

HP Mini 210-2100

User avatar
gapan
Salix Wizard
Posts: 5937
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0beta1

Post by gapan » 18. Jul 2022, 18:39

That is weird. I don't think you're doing something wrong. But I'm not seeing anything like it here.

Can you post the output of

Code: Select all

ls /var/lib/pkgtools/packages/slapt-get-*
Maybe try getting the package manually: https://download.salixos.org/x86_64/15. ... 64-2gv.txz
then remove the already installed one and install it manually again:

Code: Select all

sudo spkg -d slapt-get
sudo spkg slapt-get-0.11.6-x86_64-2gv.txz
I was doing some tests and the slapt-get-0.11.6-x86_64-2gv I ended up uploading uses upgradepkg for upgrading packages instead of spkg, but I don't think it should matter. I will update it in the next days to use spkg again.
Image
Image

User avatar
gaucho
Donor
Posts: 105
Joined: 23. Dec 2010, 19:12

Re: Salix Xfce 15.0beta1

Post by gaucho » 18. Jul 2022, 19:26

gapan wrote:
18. Jul 2022, 18:39
Can you post the output of

Code: Select all

ls /var/lib/pkgtools/packages/slapt-get-*
Hi, gapan,

Thanks for your help. :) Below is the output that you requested:

Code: Select all

david[~]$ ls /var/lib/pkgtools/packages/slapt-get-*
/var/lib/pkgtools/packages/slapt-get-0.11.6-x86_64-2gv
I don't know if that looks normal / as expected ... :?:

After I take care of a household chore, I will try to your second suggestion and report back what happens.
Registered Linux User # 442201

HP Mini 210-2100

User avatar
gapan
Salix Wizard
Posts: 5937
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0beta1

Post by gapan » 18. Jul 2022, 19:27

Yes, that looks OK. I was wondering if there was a double entry or something like that, but it's not that after all.
Image
Image

User avatar
gaucho
Donor
Posts: 105
Joined: 23. Dec 2010, 19:12

Re: Salix Xfce 15.0beta1

Post by gaucho » 18. Jul 2022, 20:30

gapan wrote:
18. Jul 2022, 18:39
Maybe try getting the package manually: https://download.salixos.org/x86_64/15. ... 64-2gv.txz
then remove the already installed one and install it manually again:

Code: Select all

sudo spkg -d slapt-get
sudo spkg slapt-get-0.11.6-x86_64-2gv.txz
I'm sorry to report that it's still kinda weird here. I followed your suggestion above, was able to install the slapt-get package successfully (via skpg command), rebooted the netbook and crossed my fingers.

However, when I issued "slapt-get --update && slapt-get --dist-upgrade", I got stuck in the same loop where it wants to reinstall the package:

Code: Select all

Reading Package Lists...Done
The following packages will be reinstalled:
  slapt-get 
0 upgraded, 1 reinstalled, 0 newly installed, 0 to remove, 0 not upgraded.
Need to get 0.0kB/154.0kB of archives.
After unpacking 105.0kB disk space will be freed.
Do you want to continue? [y/N]
I typed "N" to not continue with the operation because I assumed it would have the same result as before.

And the other command you provided, still shows that just the one package is installed:

Code: Select all

david[~]$ ls /var/lib/pkgtools/packages/slapt-get-*
/var/lib/pkgtools/packages/slapt-get-0.11.6-x86_64-2gv
I was wondering if the problem might have something to do with the repo mirror that I'm using -- Xmission [US] -- but the Mirror Monitor page shows that its status is OK:

https://www.salixos.org/mirmon.html#us

I'm guessing that this is an annoyance rather than a critical error ... :?:

If you recommend that it would be best to just reinstall from scratch, I can do that and report what happens. (It will take some time but I don't mind doing it, if it'd help you troubleshoot).
Registered Linux User # 442201

HP Mini 210-2100

User avatar
gapan
Salix Wizard
Posts: 5937
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0beta1

Post by gapan » 18. Jul 2022, 20:32

gaucho wrote:
18. Jul 2022, 20:30
However, when I issued "slapt-get --update && slapt-get --dist-upgrade"...
Well, there's your problem! I didn't notice it in your previous post!

You don't do --dist-upgrade. It does all sorts of weird things and it's supposed to be used when upgrading from one release to another (like 14.2 to 15.0). Just use --upgrade.
Image
Image

User avatar
gaucho
Donor
Posts: 105
Joined: 23. Dec 2010, 19:12

Re: Salix Xfce 15.0beta1

Post by gaucho » 18. Jul 2022, 21:23

I'm hanging my head in shame and will go to time-out in the corner. Classic PEBKAC. :oops:

This is what happens when I rely too much on memory. It is brain-fog Monday.

Thanks for your patient help and my apologies for wasting your time.
Registered Linux User # 442201

HP Mini 210-2100

User avatar
gapan
Salix Wizard
Posts: 5937
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0beta1

Post by gapan » 20. Jul 2022, 08:47

I updated the qogir-icon-theme package last night (among other things). I'm afraid you'll probably need to do something like this again:

Code: Select all

sudo spkg -d qogir-icon-theme
sudo slapt-get -i qogir-icon-theme
or weird things may happen (this is the last time this happens I promise).
Image
Image

Post Reply